Bug 1002989 - tcl-trf included non-free files.
tcl-trf included non-free files.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tcl-trf (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-08-30 08:30 EDT by mejiko
Modified: 2013-09-30 22:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: tcl-trf-2.1.4-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 22:08:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 685207 None None None Never
Debian BTS 688021 None None None Never

  None (edit)
Description mejiko 2013-08-30 08:30:21 EDT
Hello.

tcl-trf included non-free code, non-free documents, and binary-blob.


Files:


trf2.1.4/win/msvcrt.dll

This file is binary-blob, no source. and license is proprietary EULA (but I can't view and check this EULA.), I think that this is non-free. (populer "EULA" is very very restrictive license terms, and non-free. I think.) 

See: http://support.microsoft.com/kb/259403/en


I think that violate Fedora Packaging Guidelines.

See: https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#No_inclusion_of_pre-built_binaries_or_libraries



trf2.1.4/doc/paintless-guide-to-crc.txt

This file is redistrubutable, but do not allow modify.


Question: Is this file is "content" ? 

If this is content, no problem. (I suggest that fixing license tag).
If this is not content, This is non-free.


Suggests:

1. Remove non-free code, and rebuild.

2. Replace fedora free (Fedora acceptable licensed) files.

3. Remove fedora repos.

Thanks.


Reference:

http://ftp-master.metadata.debian.org/changelogs//main/t/tcltrf/tcltrf_2.1.4-dfsg2-1_copyright
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Documentation_Licenses
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Content_Licenses
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#CodeVsContent
Comment 1 mejiko 2013-08-30 08:31:16 EDT
Blocking FE-legal, This is license problem.
Comment 2 Fedora Update System 2013-09-04 14:13:04 EDT
tcl-trf-2.1.4-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tcl-trf-2.1.4-7.fc20
Comment 3 Fedora Update System 2013-09-05 13:53:31 EDT
Package tcl-trf-2.1.4-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tcl-trf-2.1.4-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15865/tcl-trf-2.1.4-7.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-30 22:08:03 EDT
tcl-trf-2.1.4-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.